//+------------------------------------------------------------------+ 
//|                TRO_DAY                                           | 
//|                                                                  | 
//|   Copyright  2008, Avery T. Horton, Jr. aka TheRumpledOne       |
//|                                                                  |
//|   PO BOX 43575, TUCSON, AZ 85733                                 |
//|                                                                  |
//|   GIFTS AND DONATIONS ACCEPTED                                   | 
//|                                                                  |
//|   therumpledone@gmail.com                                        |  
//+------------------------------------------------------------------+ 

#property  copyright "Copyright  2008, Avery T. Horton, Jr. aka TRO" 
#property  link      "http://www.therumpledone.com/" 

#property indicator_chart_window
 
extern int BarsToCount = 300 ;
extern int TextSize    = 14 ;
extern int TextOffset  = 10 ;
extern color DayColor = HotPink ;
 
double val1,val2;


string aDay[7] ;

//----------------------------------------------------------------------------------------

int init()
{

aDay[0] = "S" ;
aDay[1] = "M" ;
aDay[2] = "T" ;
aDay[3] = "W" ;
aDay[4] = "T" ;
aDay[5] = "F" ;
aDay[6] = "S" ;


   return(0);
}
//----------------------------------------------------------------------------------------

 
void ObDeleteObjectsByPrefix(string Prefix)
  {
   int L = StringLen(Prefix);
   int i = 0; 
   while(i < ObjectsTotal())
     {
       string ObjName = ObjectName(i);
       if(StringSubstr(ObjName, 0, L) != Prefix) 
         { 
           i++; 
           continue;
         }
       ObjectDelete(ObjName);
     }
  }
    
//+------------------------------------------------------------------+
int deinit()
  {
        
   ObDeleteObjectsByPrefix("MM");  
   TRO() ;
   return(0);
  }
  
//-------------------------------------------------------------------------------------
int start()
   {
   
   int counted_bars=IndicatorCounted();
   int bars_count=BarsToCount,i,h,m,d;
   
   bool drawvl;
   
   if (Period() != PERIOD_D1) 
      {
         return(0);    
      }
   
   deinit()  ;

      
   for (i=0;i<bars_count;i++)
   {
         drawvl=false;
         
         d=TimeDayOfWeek(Time[i]);
         h=TimeHour(Time[i]);
         m=TimeMinute(Time[i]);

         if (  h==0  ) {drawvl=true;VerticalLine(aDay[d],"D"+d,i,STYLE_SOLID,DayColor);}

   }
      
   return(0);
   }
   
//----------------------------------------------------------------------------------------------

int VerticalLine(string tDay, string s,int i,int st,int Col)    //s=Text Label, i = bar, st=Line Style, Col = color
{
  
   ObjectDelete("MMt"+DoubleToStr(i,0));
   
   ObjectCreate("MMt"+DoubleToStr(i,0),OBJ_TEXT,0,Time[i],Low[i]-Point*TextOffset);
   ObjectSetText("MMt"+DoubleToStr(i,0),tDay,TextSize,"Arial",Col);
  
   ObjectsRedraw();
   
   return(0);
}

  
//+------------------------------------------------------------------+  
void TRO()
{   
   
   string tObjName03    = "TROTAG"  ;  
   ObjectCreate(tObjName03, OBJ_LABEL, 0, 0, 0);//HiLow LABEL
   ObjectSetText(tObjName03, CharToStr(78) , 12 ,  "Wingdings",  DimGray );
   ObjectSet(tObjName03, OBJPROP_CORNER, 3);
   ObjectSet(tObjName03, OBJPROP_XDISTANCE, 5 );
   ObjectSet(tObjName03, OBJPROP_YDISTANCE, 5 );  
}
 
//+------------------------------------------------------------------+  



